"""first version

Revision ID: 3eaa788c373b
Revises: 
Create Date: 2016-03-20 19:47:35.187765

"""

# revision identifiers, used by Alembic.
revision = '3eaa788c373b'
down_revision = None
branch_labels = None
depends_on = None

from alembic import op
import sqlalchemy as sa


def upgrade():
	### commands auto generated by Alembic - please adjust! ###

	connection = op.get_bind()
	has_table = lambda t : connection.engine.dialect.has_table(connection, t)


	if not has_table('config'):
		op.create_table('config',
		sa.Column('id', sa.Integer(), nullable=False),
		sa.Column('group', sa.String(length=20), nullable=True),
		sa.Column('name', sa.String(length=40), nullable=True),
		sa.Column('value', sa.String(length=512), nullable=True),
		sa.Column('type', sa.String(length=15), nullable=True),
		sa.PrimaryKeyConstraint('id'),
		sa.UniqueConstraint('group', 'name')
		)

	if not has_table('globalvars'):
		op.create_table('globalvars',
		sa.Column('id', sa.Integer(), nullable=False),
		sa.Column('group', sa.String(length=20), nullable=True),
		sa.Column('name', sa.String(length=40), nullable=True),
		sa.Column('value', sa.String(length=512), nullable=True),
		sa.Column('type', sa.String(length=15), nullable=True),
		sa.PrimaryKeyConstraint('id'),
		sa.UniqueConstraint('group', 'name')
		)

	if not has_table('image'):
		op.create_table('image',
		sa.Column('id', sa.Integer(), nullable=False),
		sa.Column('type', sa.String(length=10), nullable=True),
		sa.Column('filepath', sa.String(length=256), nullable=True),
		sa.Column('url', sa.String(length=512), nullable=True),
		sa.Column('time', sa.Integer(), nullable=True),
		sa.Column('width', sa.Integer(), nullable=True),
		sa.Column('height', sa.Integer(), nullable=True),
		sa.Column('size', sa.Integer(), nullable=True),
		sa.Column('score', sa.Integer(), nullable=True),
		sa.Column('artist', sa.String(length=50), nullable=True),
		sa.Column('title', sa.String(length=256), nullable=True),
		sa.Column('description', sa.String(length=1024), nullable=True),
		sa.Column('context_url', sa.String(length=512), nullable=True),
		sa.PrimaryKeyConstraint('id')
		)

	if not has_table('imgur'):
		op.create_table('imgur',
		sa.Column('id', sa.Integer(), nullable=False),
		sa.Column('url', sa.String(length=512), nullable=True),
		sa.Column('image_count', sa.Integer(), nullable=True),
		sa.Column('enabled', sa.Boolean(), nullable=True),
		sa.PrimaryKeyConstraint('id')
		)


	if not has_table('reddit'):
		op.create_table('reddit',
		sa.Column('id', sa.Integer(), nullable=False),
		sa.Column('name', sa.String(length=70), nullable=True),
		sa.Column('enabled', sa.Boolean(), nullable=True),
		sa.PrimaryKeyConstraint('id')
		)

	if not has_table('search_term'):
		op.create_table('search_term',
		sa.Column('id', sa.Integer(), nullable=False),
		sa.Column('term', sa.String(length=100), nullable=True),
		sa.Column('enabled', sa.Boolean(), nullable=True),
		sa.PrimaryKeyConstraint('id')
		)

	if not has_table('image_trace'):
		op.create_table('image_trace',
		sa.Column('id', sa.Integer(), nullable=False),
		sa.Column('step', sa.Integer(), nullable=True),
		sa.Column('name', sa.String(length=50), nullable=True),
		sa.Column('data', sa.String(length=512), nullable=True),
		sa.Column('image_id', sa.Integer(), nullable=True),
		sa.ForeignKeyConstraint(['image_id'], ['image.id'], ),
		sa.PrimaryKeyConstraint('id')
		)

	### end Alembic commands ###


def downgrade():
	### commands auto generated by Alembic - please adjust! ###
	op.drop_table('image_trace')
	op.drop_table('search_term')
	op.drop_table('reddit')
	op.drop_table('imgur')
	op.drop_table('image')
	op.drop_table('globalvars')
	op.drop_table('config')
	### end Alembic commands ###
